import { ProblemLocation } from './problems';
export declare type AsyncHTMLAttribute = {
    name: string;
    value: string;
};
export interface IAsyncHTMLElement {
    readonly attributes: any;
    getAttribute(attribute: string): string;
    getLocation(): ProblemLocation;
    isSame(element: IAsyncHTMLElement): boolean;
    outerHTML(): Promise<string>;
    readonly ownerDocument: IAsyncHTMLDocument;
    readonly nodeName: string;
}
export interface IAsyncHTMLDocument {
    querySelectorAll(selector: string): Promise<Array<IAsyncHTMLElement>>;
    pageHTML(): Promise<string>;
}
export interface IAsyncWindow {
    readonly document: IAsyncHTMLDocument;
    evaluate(source: string): Promise<any>;
}
